Update a section's question Run in API Explorer
Ask AI
Body
-
The type of the question
-
Whether the question is required or not
-
The title of the question
-
Input placeholder
-
Field description
-
The position of the question in the section.
-
The selection options for the question IF the question is of type selection.
-
The uuid of the section to move the question to.
PUT
/api/v1/form/{form_uuid}/question/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/question/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"type":"string","required":true,"title":"What is your name?","help_text":"Gareth","caption":"Enter your full legal name","position":2,"selection_options":["apple","orange"],"section_uuid":"5b3fe7a6-fb5a-4689-87ac-8950cd721994"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"type": "string",
"required": true,
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Enter your full legal name",
"position": 2,
"selection_options": [
"apple",
"orange"
],
"section_uuid": "5b3fe7a6-fb5a-4689-87ac-8950cd721994"
}
Response examples (200)
{
"uuid": "58c80442-dbfe-43b7-a09d-0f2b99d13220",
"created_at": "2026-08-28T07:34:59+01:00",
"updated_at": "2026-08-28T07:34:59+01:00",
"section": {
"uuid": "c12bf19a-21e0-44bc-856b-c78c6b0e8726",
"created_at": "2026-08-28T07:34:59+01:00",
"updated_at": "2026-08-28T07:34:59+01:00",
"form": {
"uuid": "8e4cbd9c-54a7-433f-ac50-9bc63be21ec0",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"title": "Personal Details",
"position": 1,
"questions": {
"uuid": "794698e0-a089-406b-83d3-3351e4c4b7fa",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
}
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}